> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pragma.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Onchain Checkpoints



## OpenAPI

````yaml open-apis/node.json get /node/v1/onchain/checkpoints/{base}/{quote}
openapi: 3.1.0
info:
  title: pragma-node
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://{environment}.pragma.build
    variables:
      environment:
        default: api.devnet
security: []
tags:
  - name: pragma-node
    description: Pragma Node API
paths:
  /node/v1/onchain/checkpoints/{base}/{quote}:
    get:
      tags:
        - crate::handlers::onchain::get_checkpoints
      operationId: get_onchain_checkpoints
      parameters:
        - name: base
          in: path
          description: Base Asset
          required: true
          schema:
            type: string
        - name: quote
          in: path
          description: Quote Asset
          required: true
          schema:
            type: string
        - name: network
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/StarknetNetwork'
        - name: limit
          in: query
          required: false
          schema:
            type:
              - integer
              - 'null'
            format: int64
            minimum: 0
      responses:
        '200':
          description: Get the onchain checkpoints for a pair
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOnchainCheckpointsResponse'
components:
  schemas:
    StarknetNetwork:
      type: string
      enum:
        - starknet-mainnet
        - starknet-sepolia
    GetOnchainCheckpointsResponse:
      type: array
      items:
        $ref: '#/components/schemas/Checkpoint'
    Checkpoint:
      type: object
      required:
        - tx_hash
        - price
        - timestamp
        - sender_address
      properties:
        price:
          type: string
        sender_address:
          type: string
        timestamp:
          type: integer
          format: int64
          minimum: 0
        tx_hash:
          type: string

````